/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.web.gui.controladores.tarifas;

import java.util.ArrayList;
import java.util.List;

import org.apache.log4j.Logger;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.annotation.Scope;
import org.springframework.stereotype.Controller;
import org.zkoss.util.resource.Labels;
import org.zkoss.zk.ui.Component;
import org.zkoss.zk.ui.event.Event;
import org.zkoss.zul.Combobox;
import org.zkoss.zul.Messagebox;

import com.rjconsultores.ventaboletos.entidad.OrgaoConcedente;
import com.rjconsultores.ventaboletos.entidad.Ruta;
import com.rjconsultores.ventaboletos.entidad.VigenciaTarifa;
import com.rjconsultores.ventaboletos.service.OrgaoConcedenteService;
import com.rjconsultores.ventaboletos.service.RutaService;
import com.rjconsultores.ventaboletos.service.TarifaOficialService;
import com.rjconsultores.ventaboletos.service.VigenciaTarifaService;
import com.rjconsultores.ventaboletos.web.utilerias.MyGenericForwardComposer;

/**
 *
 * @author Gleimar
 */
@Controller("generarTarifaOrgaoController")
@Scope("prototype")
public class GenerarTarifaOrgaoController extends MyGenericForwardComposer {
	
    private static Logger log = Logger.getLogger(GenerarTarifaOrgaoController.class);
    
    @Autowired
    private RutaService rutaService;
    @Autowired
    private VigenciaTarifaService vigenciaTarifaService;
    @Autowired
    private TarifaOficialService tarifaOficialService;
    @Autowired
    private OrgaoConcedenteService orgaoConcedenteService;
    private List<Ruta> lsRuta;
    private List<OrgaoConcedente> lsOrgaoConcedente;
    private Combobox cmbRuta;
    private Combobox cmbOrgaoConcedente;

    @Override
    public void doAfterCompose(Component comp) throws Exception {
    	lsOrgaoConcedente = new ArrayList<OrgaoConcedente>();
        lsOrgaoConcedente.add(orgaoConcedenteService.obtenerID(3));
        
        lsRuta = rutaService.obtenerTodos();
        
        super.doAfterCompose(comp);
    }

    public void onClick$btnGenerarVigencia(Event ev) throws InterruptedException {
    	cmbOrgaoConcedente.getValue();

    	
    	Integer rutaId = null;
    	
    	if (cmbRuta.getSelectedItem() != null){
    		rutaId=((Ruta)cmbRuta.getSelectedItem().getValue()).getRutaId();
    	}
    	
    	Integer qtd = tarifaOficialService.gerarAtualizarTarifaANTT(rutaId);
    	
    	Messagebox.show(Labels.getLabel("generarTarifaOrgaoController.MSG.suscribirOK").concat(qtd.toString()),
				Labels.getLabel("indexController.mniGenerarTarifaOrgao.label"),
				Messagebox.OK, Messagebox.INFORMATION);
    }

	public List<Ruta> getLsRuta() {
		return lsRuta;
	}

	public List<OrgaoConcedente> getLsOrgaoConcedente() {
		return lsOrgaoConcedente;
	}

}
